<link rel="stylesheet" href="css/font.css" type="text/css" />
<script>
function jobcard_report_print(url)
{
onmouseover43= window.open(url,'onmouseover43','height=580,width=1100,scrollbars=yes,left=50,top=50,toolbar=no,location=no,directories=no,status=no,menubar=no');
}
</script>
<?php error_reporting(0);
/*********************************Get Found Result And Pagination********************************************************/
include("../../include/db.php");
function get_customer($customer_name)
{
        $sql="select * from  customer_entry where  customer_name='$customer_name' ";
        $rs=mysql_query($sql);
	    $s_no=0;
   		while($rsdata=mysql_fetch_array($rs))
  			{
                 $id=$rsdata['id'];
	        }
return $id;
}
$show = 20;
$num_links = 19;
$from = $_GET['from'];
if (empty($from))
	 {
		$from = "0";
	 } 
else 
	{
	    $html_query = $html_query. "&from=$from";
	}
	include("../../include/db.php"); 

  $from_date=$_GET['from_date'];
 $to_date=$_GET['to_date'];
  $machine_names=$_GET['machine_type'];
   $machine_type=get_id($machine_names); 
$current_date=date('Y-m-d');

if($from_date!=""){ $from_date1= "DATE_FORMAT(production_time,'%Y-%m-%d')>='$from_date'"; }else{$from_date1="DATE_FORMAT(production_time,'%Y-%m-%d')='$current_date'"; }
if($to_date!=""){ $to_date1 = "DATE_FORMAT(production_time,'%Y-%m-%d')<='$to_date'";}else{$to_date1="DATE_FORMAT(production_time,'%Y-%m-%d')='$current_date'";}
if($machine_type!=""){ $machine_type1 = "machine_no='$machine_type'";}else{$machine_type1="";}

{
$all_value102 = $from_date1."@".$to_date1."@".$machine_type1;
}
$all_array102 = explode('@',$all_value102);
foreach($all_array102 as $value102)
{ 
if($value102!='')
{
  $get_query103 .= $value102." AND ";
}
}	

 $sql="select * from printer_production_sublist where $get_query103 pr_id!=' '   ";

$html_query = "main_fram.php?file=Machine_wise_printer";

$result=mysql_query($sql);
$num_results=mysql_num_rows($result);
if ($num_results == 0) 
{
 $confirmation = "No Records!";
} 
elseif ($num_results == 1) 
{
$confirmation = "Found 1 Record.";
} 
else 
{
$confirmation = "Found $num_results Records.";
} 
$job_card_no=$_GET['job_card_no'];
$customer_name=$_GET['customer_name'];
$from_date=$_GET['from_date'];
$to_date=$_GET['to_date'];
?>
<style type="text/css">
<!--
.style1 {font-size: 16px}
-->
</style>
<table width="100%">
<tr>
<td width="1%" height="38">&nbsp;</td>
<td width="7%" class="style15">&nbsp;</td> 
<td width="13%" align="center">&nbsp;</td>
<td width="1%">&nbsp;</td>
<td width="6%" class="style15">&nbsp;</td>
<td width="14%" align="center"  class="style15">&nbsp;</td>
<td width="2%">&nbsp;</td>
<td width="11%" class="style15">&nbsp;</td>
<td width="24%" align="left" >&nbsp;</td>
<td width="8%" align="center">&nbsp;</td>
<td width="2%"></td>
<td width="7%" align="center"><a href="javascript:jobcard_report_print('report/machine_wise_printer/inward_outward_print.php?from_date=<?php echo $_GET['from_date'];?>&to_date=<?php echo $_GET['to_date'];?>&machine_type=<?php echo $_GET['machine_type'];?>');" style="text-decoration:none;"><img src="img/PrinterBlack.png" width="35" height="30" title="Print" value="Print"/></a></td>
  </tr>
</table>
<div class="container">
<div class="row-fluid">
<div class="span12">
<div class="table-responsive">
<div class="CSSTableGenerator">  
<table border="0" width="97%"  align="center" cellpadding="0" cellspacing="0" style="border:1px solid #ddd" >
<thead>
<tr>
       <th  height="23"  align="center" style="border:1px solid #ddd" >S.No</th>
    <th  align="center" style="border:1px solid #ddd" >Date</th>
    <th  align="center" style="border:1px solid #ddd" >Jobcard No</th>
    <th  align="left" style="border:1px solid #ddd" >Machine No</th>
    <th  align="left" style="border:1px solid #ddd" >Shift</th>
    <th  align="left" style="border:1px solid #ddd" >Operator</th>
    <th  align="left" style="border:1px solid #ddd" >Particulars</th>
    <th  align="right" style="border:1px solid #ddd" >Order Qty&nbsp;</th>
        <th  align="right" style="border:1px solid #ddd" >Product Quantity&nbsp;</th>

    <th  align="right" style="border:1px solid #ddd" >Balance Qty&nbsp;</th>
    </tr>
    </tr>
  <?php
include("../../include/db.php"); 
function get_shift_name_from_mach($shift_time)
{
$sql_query11="select * from shift_creation where id='$shift_time' ";
$rs11=mysql_query($sql_query11);
 while($rsdata11=mysql_fetch_object($rs11))
 {
 $to_time=$rsdata11->to_time;
 $shift_name=$rsdata11->shift_name;
  $from_time=$rsdata11->from_time;

 } 
 $tot_shift=array($from_time,$to_time,$shift_name);
 return $tot_shift;
}


function get_machine_name($machine_no)
{
 $sql_query11="select * from machine_creation where id='$machine_no' ";
$rs11=mysql_query($sql_query11);
 while($rsdata11=mysql_fetch_object($rs11))
 {
 $machine_no=$rsdata11->machine_no;
 } 
return $machine_no;
}

function get_operator_id($operator_id)
{
$sql_query11="select * from operator_creation where id='$operator_id' ";
$rs11=mysql_query($sql_query11);
 while($rsdata11=mysql_fetch_object($rs11))
 {
 $operator_name=$rsdata11->operator_name;
 } 
return $operator_name;
}

function get_machine_typess($machine_type)
{
$sql_query11="select * from machine_creation where machine_no='$machine_type' and mach_type='Fusing' ";
$rs11=mysql_query($sql_query11);
 while($rsdata11=mysql_fetch_object($rs11))
 {
 $id=$rsdata11->id;
 } 
return $id;
}


function get_order_qty($job_card_no,$prod_size)
{
	$sql_query="select * from printer_production_sublist where job_card_no='$job_card_no' and prod_size='$prod_size' ";
    $rs=mysql_query($sql_query);
    $rscount=mysql_num_rows($rs);
	return $rscount;
 }
 
 
 function get_max_order_qty($job_card_no,$prod_size)
{
$sql_query="select max(total_qty) as total_qty from printer_production_sublist where job_card_no='$job_card_no' and prod_size='$prod_size' ";
    $rs11=mysql_query($sql_query);
 while($rsdata=mysql_fetch_array($rs11))
 {
$total_qty=$rsdata['total_qty'];
}
return $total_qty;
}

 function get_order_qty1($job_card_no,$prod_size,$pr_id)
{
 $sql_query="select total_qty from printer_production_sublist where job_card_no='$job_card_no' and prod_size='$prod_size' and pr_id='$pr_id'  ";
    $rs11=mysql_query($sql_query);
 while($rsdata=mysql_fetch_array($rs11))
 {
$total_qty=$rsdata['total_qty'];
}
return $total_qty;
}	  


function get_id($machine_name)
{
$sql_query11="select * from machine_creation where machine_no='$machine_name' ";
$rs11=mysql_query($sql_query11);
 while($rsdata11=mysql_fetch_object($rs11))
 {
  $id=$rsdata11->id;
 } 
return $id;
}

 $from_date=$_GET['from_date'];
 $to_date=$_GET['to_date'];
  $machine_names=$_GET['machine_type'];
   $machine_type=get_id($machine_names); 

 

$current_date=date('Y-m-d');
if($from_date!=""){ $from_date1= "DATE_FORMAT(production_time,'%Y-%m-%d')>='$from_date'"; }else{$from_date1="DATE_FORMAT(production_time,'%Y-%m-%d')='$current_date'"; }
if($to_date!=""){ $to_date1 = "DATE_FORMAT(production_time,'%Y-%m-%d')<='$to_date'";}else{$to_date1="DATE_FORMAT(production_time,'%Y-%m-%d')='$current_date'";}
if($machine_type!=""){ $machine_type1 = "machine_no='$machine_type'";}else{$machine_type1="";}

{
$all_value102 = $from_date1."@".$to_date1."@".$machine_type1;
}
$all_array102 = explode('@',$all_value102);
foreach($all_array102 as $value102)
{ 
if($value102!='')
{
  $get_query104 .= $value102." AND ";
}
}	


  $sql="select * from printer_production_sublist where $get_query104 pr_id!=' ' order by job_card_no,operator_name,prod_size ASC";
    $rs=mysql_query($sql);
	$s_no=0;
   		while($rsdata=mysql_fetch_array($rs))
  			{
   				 $s_no=$s_no+1;
				 $from=$from+1;
                $pr_id=$rsdata['pr_id'];
                $production_time=$rsdata['production_time'];
			 $shift_time=$rsdata['shift_time'];
				list($frm_time,$to_ti,$type)=get_shift_name_from_mach($shift_time);
				
				 $machine_no=$rsdata['machine_no'];
			     $machine_name=get_machine_name($machine_no);
				
				 $operator_id=$rsdata['operator_name'];
				 $operator_name=get_operator_id($operator_id);
				 $prod_qty=$rsdata['prod_qty'];
				 $job_card_no=$rsdata['job_card_no'];
				  $prod_size=$rsdata['prod_size'];
                  $total_qty=$rsdata['total_qty'];
                  $balance_qty=$rsdata['balance_qty'];
 $count_order_qty = get_order_qty($job_card_no,$prod_size); 
	 $max_order_qty = get_max_order_qty($job_card_no,$prod_size);
	 $qty=  get_order_qty1($job_card_no,$prod_size,$pr_id);
	if($max_order_qty==$qty)
	{
		$qty=$max_order_qty;
	}
	else
	{
				$qty='';

		}

 ?>
    <tr>
    <td width="65"  align="center" style="border:1px solid #ddd">&nbsp;<?php echo $from; ?></td>
    <td width="132" align="center" style="border:1px solid #ddd" >&nbsp;<?php echo date("d-m-Y",strtotime($production_time));?></td>
    <td width="142" align="center" style="border:1px solid #ddd" >&nbsp;<?php echo $job_card_no; ?></td>
    <td width="142" align="left" style="border:1px solid #ddd" >&nbsp;<?php echo $machine_name; ?></td>
    <td width="160" align="left" style="border:1px solid #ddd" >&nbsp;<?php  echo $type."(".$frm_time."-".$to_ti.")";?></td>
    <td width="133" align="left" style="border:1px solid #ddd" >&nbsp;<?php  echo $operator_name; ?></td>
    <td width="132" align="left" style="border:1px solid #ddd" >&nbsp;<?php  echo $prod_size; ?></td>
    <td width="119" align="right" style="border:1px solid #ddd" ><?php  echo $qty; ?>&nbsp;</td>
        <td width="150" align="right" style="border:1px solid #ddd" ><?php  echo number_format($prod_qty,2); ?>&nbsp;</td>

    <td width="119" align="right" style="border:1px solid #ddd" ><?php  echo $balance_qty; ?>&nbsp;</td>
    </tr>
  <?php 
   $total1+=$qty; 
	$total2+=$prod_qty; 
	$total3+=$balance_qty;} ?>
  <tr>
   <td colspan="7" align="right" class="style1"><strong>Total</strong></td>
   <td align="right" class="style1"><strong><?php echo number_format($total1,2); ?></strong></td>
      <td align="right" class="style1"><strong><?php echo number_format($total2,2); ?></strong></td>

   <td align="right" class="style1"><strong><?php echo number_format($total1-$total2,2); ?></strong></td>

    </tr>
  </thead>
</table>
</div>
</div>
</div>
</div>

